# Disable compression, because the ova is already compressed
%define _source_payload w0.gzdio
%define _binary_payload w0.gzdio

%define _appliance_version 20231220

%define _source_iso ovirt-engine-appliance-4.5-%{_appliance_version}.1.0.3.ova
%define _source_uri https://ca-artifacts.oraclecorp.com/auto-build/ovirt/ova/%{_source_iso}

Name:       ovirt-engine-appliance
Version:    4.5
Release:    %{_appliance_version}.1.0.3%{?dist}%{?extra_release}
License:    GPLv2
Summary:    The oVirt Engine Appliance image (OVA)
Group:      Applications/System
URL:        http://www.ovirt.org/
BuildArch:  x86_64
Source0:    LICENSE

BuildRequires: grep

Requires:   ovirt-hosted-engine-setup

%global _he_discovery_dir /etc/ovirt-hosted-engine/
%global _he_discovery_file %{_he_discovery_dir}/10-appliance.conf

%global _appliance_dir /usr/share/ovirt-engine-appliance
%global _appliance_file %{_appliance_dir}/%{name}-%{version}-%{release}.ova

%description
This package contains the prebuild oVirt Engine appliance image. It is intended to
be used with hosted-engine setup.

%prep

%build

%install
curl -s -k -L %{_source_uri} -o %{_source_iso}
rm -rf %{buildroot}
# Install the appliance image
/usr/bin/install -d %{buildroot}/%{_appliance_dir}
/usr/bin/install -m 644 %{_source_iso} %{buildroot}/%{_appliance_file}
cp -v %{SOURCE0} %{buildroot}/%{_appliance_dir}/

# Install the snippet for the discovery by hosted-engine-setup
/usr/bin/install -d %{buildroot}/%{_he_discovery_dir}
cat > %{buildroot}/%{_he_discovery_file} <<EOF
description=%{summary}
version=%{version}-%{release}
path=%{_appliance_file}
sha1sum=$(sha1sum %{buildroot}/%{_appliance_file} | egrep -o "^[0-9a-f]+")
EOF

%clean
rm -rf %{buildroot}

%files
%{_appliance_dir}
%{_he_discovery_file}


%changelog
* Wed Jan 03 2024 PCA Release Engineering <pca-re_ww@oracle.com> - 4.5-20231220.1.0.3
- Updated appliance to 20231220.1.0.3

* Wed May 24 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.5-20230323.1.0.2
- Fix appliance version based on the uploaded ova

* Tue May 09 2023 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.5-20230504.1.0.1
- Updated contents for OLVM 4.5 version 

* Tue Jul 12 2022 Jaroslav Stepanek <jaroslav.stepanek@oracle.com> - 4.4-20220504.1.0.4
- Added license file

* Mon Apr 11 2022 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.4-20211117.1.0.3
- Added License file 

* Wed Dec 08 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.4-20211208.1.0.2
- Updated appliance to use OL8u5 template

* Wed Nov 17 2021 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 4.4-20211117.1.0.1
- Updated and added olvm4.4 appliance

* Tue Jan 19 2021 Reason Song <reason.song@oracle.com> - 4.3-20200603.1.0.2
- Update ol7u7 to ol7u9 basing on 4.3-20190926.1.0.5

* Mon Jan 04 2021 Reason Song <reason.song@oracle.com> - 4.3-20200603.1.0.1
- Rebase on 4.3-20190926.1.0.6

* Thu Nov 05 2020 Shubha Kulkarni <Shubha.Kulkarni@oracle.com>
- Change url protocol to use https instead of http in oracle ovirt repo
- Remove oci region from 4.2 baseurl in oracle ovirt repo

* Mon Mar 30 2020 Reason Song <reason.song@oracle.com>
- Change the appliance yum repo from ca-artifacts to the release one
- Remove Oracle yum proxy

* Wed Dec 11 2019 Reason Song <reason.song@oracle.com>
- Add cloud-init package to enable appliance password customizing

* Mon Dec 02 2019 Reason Song <reason.song@oracle.com>
- Change the permission of image contained to 755

* Tue Nov 12 2019 Reason Song <reason.song@oracle.com>
- Replace with OL7U7 image containing ovirt-engine-answers file

* Mon Feb 04 2019 Sandro Bonazzola <sbonazzo@redhat.com>
- Rebase on oVirt 4.3

* Tue May 12 2015 Fabian Deutsch <fdeutsch@redhat.com>
- Include the snippet for hosted-engine-setup

* Wed Apr 29 2015 Fabian Deutsch <fdeutsch@redhat.com>
- Initial build
